Subject: Re: Bash as the interactive shell in Emacs 19.34.6 for NT not working
From: [email-masked] (Fergus Henderson)

17 Nov 1997 06:50:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Earnie Boyd)
Cc: [email-masked]

Earnie Boyd, you wrote:
> 
> >Earnie Boyd, you wrote:
> >> 
> >> You can carefully us the "tr" command to remove the ^M,  don't do this 
> >> with any file containing non-text data:
> >
> >That's not a fix, that's a work-around.
> 
> It is a fix in the sense that you only have to do it once.  Once the 
> text=binary has been set then you don't need to "fix" the ^M's any more.  
> This could come under the heading of "conversion".  Your converting from 
> text!=binary to text=binary.

Look, text=binary mode is a nice feature, but not everyone wants it.
I'd much rather have a version of bash that worked even with text!=binary
mode than having to convert all files to binary mode.  

One reason for this is that anytime I (or the users of the program that
I'm porting) use a Windows text editing tool to edit my (their) files,
it will save the files in text mode, not binary mode, so the conversion is
not just a "once-off" thing that can be done at installation time and
then forgotten about. 

I'm not trying to reignite the text-vs-binary debate, I would just like
the developers to bear in mind that many of the users would prefer to
use text mode mounts rather than binary mode mounts if possible.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".